API Keys

Update API key

Update an API key's configuration (name, permissions, status). Requires organization-level authentication (JWT Bearer token). API keys are not supported for this endpoint.

AuthBearer (JWT)
GroupAPI Keys
Rate limitSee Rate Limits
PATCH/api/api-keys/{id}

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, APIKeysApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const apikeys = new APIKeysApi(configuration);
import { Configuration, APIKeysApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const apikeys = new APIKeysApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await apikeys.updateApiKey(
  "iCmZgUAKYaYJwnxz",
  {
    name: "Krystal Marquardt",
    permissions: "panel synthesize",
    rateLimit: "(455) 770-4337 x68556",
    isActive: true
  }
);
const { data: result } = await apikeys.updateApiKey(
  "iCmZgUAKYaYJwnxz",
  {
    name: "Krystal Marquardt",
    permissions: "panel synthesize",
    rateLimit: "(455) 770-4337 x68556",
    isActive: true
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
idstringYes

Request Body

json
{
  "name": "Johnathan Torp I",
  "permissions": [
    {
      "resource": "database",
      "actions": [
        "create"
      ]
    }
  ],
  "rateLimit": {
    "requests": 53618,
    "window": 73989
  },
  "isActive": true
}
{
  "name": "Johnathan Torp I",
  "permissions": [
    {
      "resource": "database",
      "actions": [
        "create"
      ]
    }
  ],
  "rateLimit": {
    "requests": 53618,
    "window": 73989
  },
  "isActive": true
}

Responses

200API key updated
json
{
  "message": "API key updated successfully",
  "apiKey": {
    "_id": "685ae8a785426b6a4190d5fc",
    "name": "Updated API Key",
    "permissions": [
      {
        "resource": "database",
        "actions": [
          "read",
          "update"
        ]
      },
      {
        "resource": "storage",
        "actions": [
          "read"
        ]
      }
    ],
    "project": {
      "_id": "685ad30be129932fbb7a1047",
      "name": "Mudbase Platform",
      "slug": "mudbase-platform"
    },
    "isActive": true,
    "updatedAt": "2024-01-15T11:00:00.000Z"
  }
}
{
  "message": "API key updated successfully",
  "apiKey": {
    "_id": "685ae8a785426b6a4190d5fc",
    "name": "Updated API Key",
    "permissions": [
      {
        "resource": "database",
        "actions": [
          "read",
          "update"
        ]
      },
      {
        "resource": "storage",
        "actions": [
          "read"
        ]
      }
    ],
    "project": {
      "_id": "685ad30be129932fbb7a1047",
      "name": "Mudbase Platform",
      "slug": "mudbase-platform"
    },
    "isActive": true,
    "updatedAt": "2024-01-15T11:00:00.000Z"
  }
}
Edit this page on GitHub